<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width">
  <title>JS Bin</title>
</head>
<body>
  <header>TodoApp</header>
  <section>
    <ul id="list">
      
    </ul>
  </section>
  <footer>
    <form>
      <input id="input" type="text">
      <button id="button" class="button" type="button">Submit</button>
    </form>
  </footer>
<script>
let list = [];
let listElement = document.getElementById('list');
let input = document.getElementById('input');
let button = document.getElementsByClassName('button')[0];


button.addEventListener('click', function(event){
  let value = input.value;
  let el = "";
  if(value){
    
    list.push(value);
    
    if(list.length){
      for(let i = 0;i < list.length; i++){
        el += "<li>"+list[i]+"</li>";
      }
      listElement.innerHTML = el;
    }
    console.log(list);
  }
});
</script>
</body>

</html>

